package com.example.nto.entity;

import com.example.nto.service.impl.UserDetailsServiceImpl;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.*;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;

import javax.persistence.*;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Set;

@Data
@Entity
@Table(name = "employee")

public class Employee implements UserDetails {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name="login")
    private String login;

    @Column(name="name")
    private String name;

    @Column(name="password")
    private String password;

    @Column(name = "position")
    private String position;

    @Column(name = "avatar_url")
    private String avatarUrl;

    @Column(name = "last_enter")
    private Timestamp lastVisit;

    @OneToMany(fetch = FetchType.EAGER)
    private Set<Authority> authorities;


    @Override
    public String getUsername() {
        return login;
    }

    @Override
    public boolean isAccountNonExpired() {
        return true;
    }

    @Override
    public boolean isAccountNonLocked() {
        return true;
    }

    @Override
    public boolean isCredentialsNonExpired() {
        return true;
    }

    @Override
    public boolean isEnabled() {
        return true;
    }
}
