package com.example.nto.entity;


import liquibase.pro.packaged.C;
import lombok.Data;
import lombok.Getter;

import javax.persistence.*;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Set;

@Data
@Entity
@Table(name = "enter")
public class Enter {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ManyToMany
    @JoinTable(
            name = "enter_employee", // Name of the join table
            joinColumns = @JoinColumn(name = "enter_id"), // Column for this entity
            inverseJoinColumns = @JoinColumn(name = "employee_id") // Column for the other entity
    )
    private Set<Employee> employees;

    @ManyToMany
    @JoinTable(
            name = "enter_code", // Name of the join table
            joinColumns = @JoinColumn(name = "enter_id"), // Column for this entity
            inverseJoinColumns = @JoinColumn(name = "code_id") // Column for the other entity
    )
    private Set<Code> codes;
    @Column(nullable = false)
    private Timestamp entered_at;

}
