package com.example.nto.service.impl;

import com.example.nto.dto.EmployeeDto;
import com.example.nto.dto.RegisterDto;
import com.example.nto.entity.Authority;
import com.example.nto.entity.Employee;
import com.example.nto.exception.*;
import com.example.nto.repository.AuthorityRepository;
import com.example.nto.service.EmployeeService;
import com.example.nto.repository.EmployeeRepository;

import com.example.nto.utils.EmployeeMapper;
import lombok.RequiredArgsConstructor;
import org.h2.jdbc.JdbcSQLDataException;
import org.springframework.dao.DataIntegrityViolationException;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import java.util.Optional;
import java.util.Set;

@Service
@RequiredArgsConstructor
public class EmployeeServiceImpl implements EmployeeService {

    private final EmployeeRepository employeeRepository;
    private final AuthorityRepository authorityRepository;
    private final PasswordEncoder passwordEncoder;



    @Override
    public EmployeeDto getByLogin(String username) {
        Optional<Employee> employee = employeeRepository.findByLogin(username);
        if (employee.isEmpty()) {
            throw new UserNotFoundException("User with name " + username + " not found!");
        }
        return EmployeeMapper.convertToDto(employee.get());
    }
}